use crate::components::header::{Header, HeaderLink};
use cached::proc_macro::cached;
use maud::{html, Markup, PreEscaped};

#[cached]
pub async fn render() -> Markup {
    html! {
        meta name="viewport" content="width=device-width, initial-scale=1.0";
        style {(PreEscaped(
            grass::include!("./css/index.scss")
        ))}
        (
            Header(vec![
                HeaderLink {
                    name: "Home".to_string(),
                    path: "/".to_string(),
                    prefix: None,
                    postfix: None
                },
                HeaderLink {
                    name: "Search".to_string(),
                    path: "/search".to_string(),
                    prefix: None,
                    postfix: None
                },
                HeaderLink {
                    name: "History".to_string(),
                    path: "/history".to_string(),
                    prefix: None,
                    postfix: None
                },
                HeaderLink {
                    name: "About".to_string(),
                    path: "/about".to_string(),
                    prefix: None,
                    postfix: None
                },
            ], "/".to_string())
        )
        div .index-content {
            h1 { "Voltpad" }
            div { "A blazingly fast (but for real this time) Wattpad frontend" }
        }
    }
}
